Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class ECPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.ECKeyParameters
              org.bouncycastle.crypto.params.ECPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class ECPrivateKeyParameters

extends ECKeyParameters

Constructor Summary
`ECPrivateKeyParameters(java.math.BigInteger d, ECDomainParameters params)`

Method Summary
`java.math.BigInteger` `getD()`

Methods inherited from class org.bouncycastle.crypto.params.ECKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPrivateKeyParameters

    public ECPrivateKeyParameters(java.math.BigInteger d,
                                  ECDomainParameters params)

Method Detail

### getD

    public java.math.BigInteger getD()

Bouncy Castle Cryptography Library 1.45